const appConfigDev = {
  apiUrl: "http://localhost:8823/v1/",
  imageUrl: "http://localhost:8823"
};

const appConfigProd = {
  apiUrl: '',
  imageUrl: ''
}

// if (typeof window != 'undefined' && window.PRODUCTION) {
//   appConfig = appConfigProd
// } else {
//   appConfig = appConfigDev
// }

let apiUrl;
let imageUrl;
let appUrl;
let type = 'akuntiket';

// apiUrl = "https://marketplace-sillyfish-staging-api.asacreative.com/v1/";
// imageUrl = "https://marketplace-sillyfish-staging-api.asacreative.com";
// apiUrl = "https://marketplace-sillyfish-api.asacreative.com/v1/";
// imageUrl = "https://marketplace-sillyfish-api.asacreative.com";

apiUrl = "https://giift-api.asacreative.com/";
imageUrl = "https://giift-api.asacreative.com";

type = 'localhost';
if(window.location.href.includes("localhost") || window.location.href.includes("marketplace-store")){
  // appUrl = 'http://localhost:7700';
  // apiUrl = "http://localhost:4001/"
}else{
  appUrl = 'https://sillyfish.asacreative.com';
}

export const APP_TYPE = 'btn';

export const appConfig = {
  apiUrl: apiUrl,
  imageUrl: imageUrl,
  appUrl: appUrl,
  type
};
